import { CEnv, CObject } from './cenv.js';
import { CPointerClosure } from './objregistry.js';
import { CColorGradient } from './ccolorgradient.js';
import { CString, CColorGradientPtr } from '../cvizzu.types';
export declare class CCanvas extends CObject {
    constructor(env: CEnv, getId: CPointerClosure);
    getColorGradient(stops: CColorGradientPtr, stopCount: number): CColorGradient;
    getString(text: CString): string;
}
