import { CVizzu } from '../cvizzu.types';
import { CEnv } from './cenv.js';
import { CData } from './cdata.js';
import { CChart } from './cchart.js';
import { CCanvas } from './ccanvas.js';
import { CAnimControl } from './canimctrl.js';
import { CCoordSystem } from './ccoordsys.js';
import { Canvas } from './canvas';
export declare class Module extends CEnv {
    constructor(wasm: CVizzu);
    registerRenderer(cCanvas: CCanvas, canvas: Canvas): void;
    version(): string;
    setLogging(enabled: boolean): void;
    getData(cChart: CChart): CData;
    getCoordSystem(cChart: CChart): CCoordSystem;
    getAnimControl(cChart: CChart): CAnimControl;
    createChart(): CChart;
    createCanvas(): CCanvas;
}
